activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Bertram <jbert...@apache.org>
Subject Re: [ARTEMIS 2.4.0] JMS Client Java 7
Date Mon, 05 Feb 2018 21:11:10 GMT
I think Artemis 1.4.x clients *should* be compatible with 2.x brokers, but
that's not to say there couldn't be a bug.  Lots of work has been done
recently in the area of compatibility for the 2.5 release so you might try
building the master branch and trying that out (be sure to add
"anycastPrefix=jms.queue.&multicastPrefix=jms.topic." to the acceptor which
the legacy clients are using - that's a recently added requirement).  You
can build the master branch using the following command: mvn clean package
-Prelease -DskipTests.


Justin

On Mon, Feb 5, 2018 at 1:01 PM, Premik <premysl.srubar@post.cz> wrote:

> Is there a way to connect to the Artemis server (2.4.0) using JMS client on
> JRE7?
> Unfortunately I'm stuck with Java 7 on the client side. I tried to use jars
> from the Artemis 1.4.4 (the latest one supporting jre7 I believe). But the
> message always goes to DLQ. I have the destination auto-creation enabled
> and
> I can see the address+q gets created. But the message ends up in the DLQ
> nevertheless.
>
> I could run the 1.4.4 also on the server side. Where it seems the very same
> code works. But that is really not great. Is there some wire-level
> incompatibility between the versions? Would for example Hornet libraries
> work better using the legacy connector?
> Thanks
>
>
>
> --
> Sent from: http://activemq.2283324.n4.nabble.com/ActiveMQ-User-
> f2341805.html
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message